Convert Entity Embed to Media Embed
===================================
Since Drupal 8.8, [it has been possible](https://www.drupal.org/node/3087775)
to embed core media items in rich text fields using the *Media embed* input 
filter. Before that, the [entity embed](https://drupal.org/project/entity_embed)
module was the go-to solution for this use case. While the entity embed module 
still has its uses (the core use case is limited to media entities, while entity 
embed can handle any entity), many sites can now fill their needs with the core 
solution. Since it is always a good idea to reduce the number of moving parts in
any system, if your needs are addressed by the core solution, and if you don't 
foresee actually needing the power of entity embed module any time soon, it 
could be a good idea to remove the entity embed module. However, in order to be 
able to do that, it is necessary to convert the old embed tags from the entity 
embed module to drupal core tags. This is what this module does (and nothing 
else). 

Upon installation, this module will look for text fields and scan for eligible 
entity embed tags (only those used to embed media items) and replace them with 
media embed tags. It will do the actual processing in a cron queue, so that the 
potentially time-consuming process of saving all content in a large site will 
not cause excessive downtime.

This principle means that site builders can enable the module in their 
configuration and trust that their content will be updated without human 
intervention. The module can be disabled again once it has done its work. It is 
up to the individual site maintainer to choose whether to already remove the 
entity embed filter from their input format or leave it until all content has 
been updated.

Before you begin
----------------
*   **Have a backup of your database** before enabling the module. 
*   Make sure you test thoroughly on a dev or test environment before running 
    the module on a production system.
*   Make sure it is not possible to embed media entities using the old entity 
    embed filter after enabling the module (e.g. by disabling the relevant 
    editor button); the module will *only* convert the entities it finds upon 
    installation. (Note that it is perfectly OK to uninstall and then 
    re-enable the module to collect any "strays", if this does go wrong. The 
    module will only update and save entities where entity embed tags are 
    found).
